Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277350 (CVE-2015-7198, CVE-2015-7199, CVE-2015-7200) - CVE-2015-7198 CVE-2015-7199 CVE-2015-7200 Mozilla: Vulnerabilities found through code inspection (MFSA 2015-131)
Summary: CVE-2015-7198 CVE-2015-7199 CVE-2015-7200 Mozilla: Vulnerabilities found thro...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7198, CVE-2015-7199, CVE-2015-7200
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1275590
TreeView+ depends on / blocked
 
Reported: 2015-11-03 06:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 04:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-26 15:11:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1982 0 normal SHIPPED_LIVE Critical: firefox security update 2015-11-04 17:10:38 UTC
Red Hat Product Errata RHSA-2015:2519 0 normal SHIPPED_LIVE Important: thunderbird security update 2015-11-26 18:41:00 UTC

Description Huzaifa S. Sidhpurwala 2015-11-03 06:04:25 UTC
Security researcher Ronald Crane reported three vulnerabilities affecting released code that were found through code inspection. These included a buffer overflow in the ANGLE graphics library and two issues of missing status checks in SVG rendering and during cryptographic key manipulation. These do not all have clear mechanisms to be exploited through web content but are vulnerable if a mechanism can be found to trigger them. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-131.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ronald Crane as the original reporter.

Comment 1 errata-xmlrpc 2015-11-04 12:12:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1982 https://rhn.redhat.com/errata/RHSA-2015-1982.html

Comment 2 errata-xmlrpc 2015-11-26 13:41:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2519 https://rhn.redhat.com/errata/RHSA-2015-2519.html


Note You need to log in before you can comment on or make changes to this bug.